#ifndef TICTACTOE_H
#define TICTACTOE_H

#ifndef INTI_GTK_BOX_H
#include <inti/gtk/box.h>
#endif

#ifndef INTI_SIGNALS_H
#include <inti/signals.h>
#endif

namespace Inti {

namespace Gtk {
class ToggleButton;
}

} // namespace Inti

/*  Tictactoe
 */

class Tictactoe : public Inti::Gtk::VBox
{
	Tictactoe(const Tictactoe&);
	Tictactoe& operator=(const Tictactoe&);

	Inti::Gtk::ToggleButton *buttons[3][3];

	void on_toggle(Inti::Gtk::ToggleButton *button);

public:
// Constructors
	Tictactoe();
	virtual ~Tictactoe();
	
// Methods
	void clear();

// Signals
	Inti::Signal0<void> tictactoe_signal;
};

#endif // TICTACTOE_H

